// Stek1.java - Klasa stekova ogranicenih kapaciteta.

public class Stek1 {

  private int[] niz;                 // Sardzaj steka.
  private int vrh;                   // Vrh steka.
                                     // Stvaranje steka:
  public Stek1()                     // - kapaciteta 10,
    { niz = new int [10]; vrh = 0; }

  public Stek1(int k)                // - zadatog kapaciteta.
    { niz = new int [k]; vrh = 0; }

  public void stavi(int k) {         // Stavljanje podatka na vrh.
    if (vrh == niz.length) {
      System.out.print("\n*** Stek1 je pun ***\n");
      System.exit(1);
    }
    niz[vrh++] = k;
  }

  public int uzmi() {                // Uzmimanje podatka s vrha.
    if (vrh == 0) {
      System.out.print("\n*** Stek1 je prazan ***\n");
      System.exit(2);
    }
    return niz[--vrh];
  }

  public void prazni() { vrh = 0; }                  // Praznjenje steka.

  public boolean prazan() { return vrh == 0; }       // Da li je prazan?

  public boolean pun() { return vrh == niz.length; } // Da li je pun?

  public String toString() {                         // Tekstualni opis.
    String s = "";
    for (int i=vrh; i>0; s+=niz[--i]+" ");
    return s;
  }

  // Glavna funkcija za ispitivanje klase Stek1.============================
  public static void main(String[] vpar) {
    Stek1 s = new Stek1();
    while (! s.pun   ()) { s.stavi(Citaj.Int()); }
    while (! s.prazan()) { System.out.print(s.uzmi() + " "); }
    System.out.println();
  }
}
