// Stek2.java - Generika klasa stekova.

import usluge.Greska;

public class Stek2<T> {
  
  private T[] niz;
  private int vrh;
	
  public Stek2(int kap) { niz = (T[])new Object [kap]; } // Inicijalizacija.
  
  public void stavi(T t) throws Greska {                 // Stavljanje.
    if (vrh == niz.length) throw new Greska("*** Stek je pun!");
    niz[vrh++] = t;
  }
  
  public T uzmi() throws Greska {                        // Uzimanje.
    if (vrh == 0) throw new Greska("*** Stek je prazan!");
    return niz[--vrh];
  }
  
  public boolean pun() { return vrh == niz.length; }     // Da li je pun?
  
  public boolean prazan() { return vrh == 0; }           // Da li je prazan?
}
