// Linija.java - Apstraktna klasa linija u ravni.

package linije;

public abstract class Linija {

  private static int posId = 0;     // Poslednji identifikator.
  private int id = ++posId;         // Identifikator linije.

  public int id() { return id; }    // Dohvatanje identifikatora linije.

  public abstract double duz();     // Duzina linije.

  public String toString()          // Tekstualni opis.
    { return Integer.toString (id); }
}