// Masina.java  Klasa maina za izvlaenje.

package lutrija1;

public class Masina {
  private Tocak[] niz;                 // Tokovi.
  private int n;                       // Broj aktivnih tokova.
  private boolean radi = false;        // Da li radi?

  public Masina(int kap) {             // Inicijalizacija.
    niz = new Tocak [kap];
    for (int i=0; i<kap; i++)
      niz[i] = new Tocak((int)(10+Math.random()*10), i%2==0);
  }

  public void kreni(int n) throws GRadi, GDuz {  // Pokretanje.
    if (radi) throw new GRadi();
    if (n<=0 || n>niz.length) throw new GDuz();
    radi = true;
    this.n = n;
    for (int i=0; i<n; niz[i++].kreni());
  }

  public String stani() throws GStoji {          // Zaustavljanje
    if (!radi) throw new GStoji();               //   sa oitavanjem
    radi = false;                                //   stanja tokova.
    String s = "";
    for (int i=0; i<n; s=niz[i++].slBroj()+s);
    return s;
  }

  public void unisti ()                          // Prekidanje niti
    { for (Tocak t: niz) t.zavrsi(); }           //   tokova.
}