// Artikal.java - Klasa artikala.

package prevoz;

public class Artikal extends Roba {
  private String naziv;               // Naziv artikla.
  private double vrednost, tezina;    // Vrednost i teina artikla.
  
  public Artikal(String n, double v, double t)  // Inicijalizacija.
    { naziv = n; vrednost = v; tezina = t; }

  public double vrednost() { return vrednost; } // Vrednost artikla.
  
  public double tezina() { return tezina; }     // Teina artikla.

  public String toString ()                     // Tekstualni opis.
    { return naziv + "(" + vrednost + "," + tezina + ")"; }
}
