// Radnik.java - Apstraktna klasa radnika.

package prodaja;

public abstract class Radnik {
  private String ime;                           // Ime radnika.
  private double procenat;                      // Procenat za platu.

  protected Radnik(String i, double p)          // Inicijalizacija.
    { ime = i; procenat = p; }
  
  public abstract double prihod();              // Prihod radnika.
  
  public double plata()                         // Plata radnika.
    { return prihod() * procenat / 100; }
  
  public String toString()                      // Tekstualni opis.
    { return ime + "/" + plata(); }
}
