// Radnik.java - Klasa radnika.

package skladiste1;
import skladiste1.greske.*;

public class Radnik extends Osoba {

  private Skladiste sklad;                      // Pridrueno skladite.
  private Proizvod kalup;                       // Pridrueni kalup.
  
  public Radnik(String ime, Skladiste s, Proizvod p) // Inicijalizacija.
    { super(ime); sklad = s; kalup = p; }
                                                // Stvaranje proizvoda.
  public Radnik proizvedi() throws GNemaMesta, GZapremina {
    sklad.stavi(kalup.clone());
    return this;
  }
                                                // Tekstualni opis.
  public String toString() { return super.toString() + ": " + kalup; }
}
