// Proizvodjac.java - Klasa proizvodjaca.

package skladiste2;

public class Proizvodjac extends Thread {

  private static int posId = 0;   // Poslednji identifikator.
  private int id = ++posId;       // Identifikator proizvodjaca.
  private Skladiste skladiste;    // Pridruzeno skladiste1.
  private int minVreme, maxVreme; // Najkrace i najduze vreme proizvodnje.
  private int broj;               // Poslednje proizvedeni podatak.

  public Proizvodjac                            // Inicijalizacija.
    (Skladiste sklad, int minVr, int maxVr) { 
    minVreme = minVr; maxVreme = maxVr; 
    skladiste = sklad;
  }
  
  public Proizvodjac(Skladiste sklad) 
    { this(sklad, 1000, 2000); }
  
  public void run() {                           // Telo niti.
    System.out.println("Proizv " + id + " krenuo");
    try {
      while (!interrupted()) {
        sleep((long)(minVreme + Math.random() * (maxVreme-minVreme)));
        int vredn = id*1000 + ++broj; 
        System.out.println("Proizv " + id + " stavlja " + vredn);
        skladiste.stavi(vredn);
      }
    } catch (InterruptedException g) {}
    System.out.println("Proizv " + id + " zavrsio");
  }
}