// Sfera.java - Klasa sfera.

package skladiste1;

public class Sfera extends Proizvod {

  private double r;                             // Poluprenik sfere.
  
  public Sfera(double rr) { r = rr; }           // Inicijalizacija.
  
  public char oznaka() { return 'S'; }          // Oznaka vrste proizvoda.
  
  public boolean istovetan(Uporediv u)          // Da li su istovetne.
    { return super.istovetan(u) && r==((Sfera)u).r; }
  
  public Sfera clone()                          // Kopija kvadra.
  { return (Sfera)super.clone(); }

  public double zapremina ()                    // Zapremina sfere.
    { return 4/3. * r*r*r * Math.PI; }
  
  public String toString ()                     // Tekstualni opis.
    { return super.toString() + "(" + r + ")"; }
}
