// Potrosac.java - Klasa potrosaca.

package skladiste2;

public class Potrosac extends Thread {
  
  private static int posId = 0;   // Poslednji identifikator.
  private int id = ++posId;       // Identifikator potrosaca.
  private Skladiste skladiste;    // Pridruzeno skladiste1.
  private int minVreme, maxVreme; // Najkrace i najduze vreme potrosnje.

  public Potrosac                               // Inicijalizacija.
    (Skladiste sklad, int minVr, int maxVr) { 
    minVreme = minVr; maxVreme = maxVr; 
    skladiste = sklad;
  }
  
  public Potrosac(Skladiste sklad) 
    { this(sklad, 1000, 2000); }
  
  public void run() {                           // Telo niti.
    System.out.println("Potros " + id + " krenuo");
    try {
      while (!interrupted()) {
      int vredn = skladiste.uzmi();
      System.out.println("Potros " + id + " uzeo    " + vredn);
      sleep((long)(minVreme + Math.random() * (maxVreme-minVreme)));
      }
    } catch (InterruptedException g) {}
    System.out.println("Potros " + id + " zavrsio");
  }
}