// Niz.java - Generika klasa nizova.

package vozovi;

public class Niz<T> {

  private T[] niz;                              // Niz elemenata.
  private int duz = 0;                          // Duina niza.

  public Niz(int kap)                           // Stvaranje praznog niza.
    { niz = (T[])new Object [kap]; }
  
  public int duzina() { return duz; }           // Duina niza.
  
  Niz<T> dodaj(T t) throws GPun {               // Dodavanje elementa.
    if (duz == niz.length) throw new GPun();
    niz[duz++] = t;
    return this;
  }
 
  T dohvati(int i) throws GIndeks {             // Pristup elementu.
    if (i<0 || i>=duz) throw new GIndeks();
    return niz[i];
  }
}
